For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.registries.get(registry_name="example")
Returns JSONRaises HttpResponseError
Description
To get information about any container registry in your account, send a GET request to /v2/registries/{registry_name}.
Parameters
registry_name string required
The name of a container registry.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.registries.get(registry_name="example")
Response Example
Show Response Example
{
"registry": {
"name": "example",
"created_at": "2020-03-21T16:02:37Z",
"region": "fra1",
"storage_usage_bytes": 29393920,
"storage_usage_bytes_updated_at": "2020-11-04T21:39:49.530562231Z"
}
}
See /v2/registries/{registry_name} in the API reference for additional detail on responses, headers, parameters, and more.